ranges::views::enumerate_fn Struct Reference

Lazily pairs each element in a source range with its corresponding index. More...

`#include <range/v3/view/enumerate.hpp>`

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | a (requires viewable_range< Rng >) aaauto operator()(Rng &&rng) const

## Related Functions

(Note that these are not member functions.)
constexpr view_closure< enumerate_fn > | enumerate {}

## Detailed Description

Lazily pairs each element in a source range with its corresponding index.